description

# OpenDBRequest class Null safety

Inheritance
  - Object
  - EventTarget
  - Request
  - OpenDBRequest
Annotations
  - @Unstable()
  - @Native("IDBOpenDBRequest,IDBVersionChangeRequest")

## Properties

error → DomException?
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onBlocked → Stream<Event>
  Stream of `blocked` events handled by this OpenDBRequest.
  read-only
onError → Stream<Event>
  Stream of `error` events handled by this Request.
  read-only, inherited
onSuccess → Stream<Event>
  Stream of `success` events handled by this Request.
  read-only, inherited
onUpgradeNeeded → Stream<VersionChangeEvent>
  Stream of `upgradeneeded` events handled by this OpenDBRequest.
  read-only
readyState → String?
  read-only, inherited
result → dynamic
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
source → Object?
  @Creates('Null'), read-only, inherited
transaction → Transaction?
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

blockedEvent → const EventStreamProvider<Event>
  Static factory designed to expose `blocked` events to event handlers that are not necessarily instances of OpenDBRequest. [...]
  `const EventStreamProvider<Event>('blocked')`
upgradeNeededEvent → const EventStreamProvider<VersionChangeEvent>
  Static factory designed to expose `upgradeneeded` events to event handlers that are not necessarily instances of OpenDBRequest. [...]
  `const EventStreamProvider<VersionChangeEvent>('upgradeneeded')`